<template>
    <div>
        <TacheForm v-bind:tache="tache" v-bind:projects="projects" v-on:submit="submit" v-on:back="back"></TacheForm>
    </div>
</template>

<script>
import TacheForm from './Tache.Form.vue';
import { addEvent } from '@/api/events.service.js';
export default {
    data() {
        return {
            tache: {
            }
        }
    },
    components: {
        TacheForm
    },
    computed: {
        projects() {
            return this.$store.getters.getAllProjects;
        }
    },
    created() {
        this.$store.dispatch('setAllProjects');
    },
    methods: {
        submit() {
            let user = this.$store.getters.getCurrentUser;
            this.tache.user = user;
            addEvent(this.tache).then(() => {
                this.$router.go(-1);
            });
        },
        back() {
            this.$router.go(-1);
        }
    }

}
</script>

<style>

</style>
